# Repzo API - Asset

OpenAPI specification for Repzo Asset endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/asset`

#### GET /asset

**Summary:** Find assets

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering assets |

##### Responses

**200** - A list of assets

Content-Type: `application/json`

---

#### POST /asset

**Summary:** Create an asset

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Asset created

Content-Type: `application/json`

---

### `/asset/{id}`

#### GET /asset/{id}

**Summary:** Get an asset by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Asset details

Content-Type: `application/json`

---

#### PUT /asset/{id}

**Summary:** Update an asset

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Asset updated

Content-Type: `application/json`

---

#### DELETE /asset/{id}

**Summary:** Remove an asset

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Asset removed

Content-Type: `application/json`

---

## Data Models

### AssetFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### AssetCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `serialNumber` | string | No | No description |

| `assetType` | string | No | No description |

| `client` | string | No | No description |

| `location` | object | No | No description |

| `status` | string | No | No description |

| `purchaseDate` | string | No | No description |

| `warrantyExpiry` | string | No | No description |

| `customFields` | object | No | No description |

### AssetCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### AssetGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### AssetUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `serialNumber` | string | No | No description |

| `assetType` | string | No | No description |

| `client` | string | No | No description |

| `location` | object | No | No description |

| `status` | string | No | No description |

| `purchaseDate` | string | No | No description |

| `warrantyExpiry` | string | No | No description |

| `customFields` | object | No | No description |

### AssetUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### AssetRemoveResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `success` | boolean | No | No description |

### Asset

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `name` | string | No | No description |

| `serialNumber` | string | No | No description |

| `assetType` | string | No | No description |

| `client` | string | No | No description |

| `location` | object | No | No description |

| `status` | string | No | No description |

| `purchaseDate` | string | No | No description |

| `warrantyExpiry` | string | No | No description |

| `customFields` | object | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [asset-examples.md](./asset-examples.md) for detailed TypeScript usage examples.
